backend:
  name: github
  repo: saligerp/tenkopresents_hugo # Path to your GitHub repository
  branch: main
media_folder: "static/img" # Media files will be stored in the repo under static/images/uploads
public_folder: "/img" # The src attribute for uploaded media will begin with /images/uploads
collections:
  - name: "artists" # Used in routes, e.g., /admin/collections/blog
    label: "artists" # Used in the UI
    folder: "content/artists" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{name}}-{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Name", name: "name", widget: "string"}
      - {label: "Body", name: "body", widget: "markdown"}
      - {label: "CV", name: "CV", widget: "file"}
      - name: images
        label: Images
        widget: list
        fields: 
          - {name: image, label: Image, widget: image}

    editor:
      preview: false
  - name: "press" # Used in routes, e.g., /admin/collections/blog
    label: "press" # Used in the UI
    folder: "content/press" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{publication}}-{{exhibition}}-YYYY-MM-DD-{{slug}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "Exhibition", name: "exhibition", widget: "string", required: false}
      - {label: "Publication", name: "publication", widget: "string"}
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Link", name: "link", widget: "string"}
      - {label: "Hero Image", name: hero, widget: image}
    editor:
      preview: false
  - name: "exhibitions" # Used in routes, e.g., /admin/collections/blog
    label: "exhibitions" # Used in the UI
    folder: "content/exhibitions" # The path to the folder where the documents are stored
    create: true # Allow users to create new documents in this collection
    slug: "{{artist}}-{{title}}" # Filename template, e.g., YYYY-MM-DD-title.md
    fields: # The fields for each document, usually in front matter
      - {label: "artist", name: "artist", widget: "string"}
      - {label: "title", name: "title", widget: "string"}
      - {label: "period", name: "period", widget: "string"}
      - {label: "location", name: "location", widget: "string"}
      - {label: "sort_order", name: "sort_order", widget: "number"}
      - {label: "Body", name: "body", widget: "markdown"}
      - name: images
        label: Images
        widget: list
        fields: 
          - {name: image, label: Image, widget: image}
      - {label: "image_credits", name: "image_credits", widget: "string"}
    editor:
      preview: false
  - label: "pages"
    name: "pages"
    editor:
      preview: false
    files:
    - label: "information"
      name: "information"
      file: "content/information.md"
      fields:
        - {label: Title, name: title, widget: string}
        - {label: Layout, name: layout, widget: string}
        - {label: "Hero Image", name: hero, widget: image}
        - {label: "Image Caption", name: caption, widget: string}
        - {label: "Body", name: "body", widget: "markdown"}
    - label: "newsletter"
      name: "newsletter"
      file: "content/newsletter.md"
      fields:
        - {label: Title, name: title, widget: string}
        - {label: Layout, name: layout, widget: string}
        - {label: "Body", name: "body", widget: "markdown"}
    - label: "shop"
      name: "shop"
      file: "content/shop.md"
      fields:
        - {label: Title, name: title, widget: string}
        - {label: "Body", name: "body", widget: "markdown"}
    - label: "home"
      name: ""
      file: "content/_index.md"
      fields:
        - {label: Title, name: title, widget: string}
        - {label: "Body", name: "body", widget: "markdown"}
        - {label: "Hero Image", name: hero, widget: image}
        - {label: "Image Caption", name: caption, widget: string}
